/*
 * WorkerOptions.hpp
 *
 *  Created on: 01.06.2012
 *      Author: heber
 */

#ifndef WORKEROPTIONS_HPP_
#define WORKEROPTIONS_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <boost/program_options.hpp>
#include <string>

#include "DefaultOptions.hpp"
#include "SignalOptions.hpp"

struct WorkerOptions : public DefaultOptions, public SignalOptions
{
  WorkerOptions() :
    hostname("localhost")
  {}

  int parseServer(boost::program_options::variables_map &vm);
  int parseLocalhost(boost::program_options::variables_map &vm);
  int parseListenPort(boost::program_options::variables_map &vm);

  std::string server;
  std::string serverport;
  std::string hostname;
  std::string listenport;
};

#endif /* WORKEROPTIONS_HPP_ */
